#include <stdio.h>
#include <stdlib.h>
#include "inc/opucem.h"

// Simple example file that reproduces the values from the fig. 1 of:
// "Oblique radiative corrections from Majorana neutrinos", B.A. Kniehl, H.-G. Kohrs, PRD 48 (1993) 225.
int main(int argc, char *argv[] ){

    const double Z=91.1875;
    const double S2W=0.22272;
    const double W=sqrt(Z*Z*(1-S2W));

    int i;
    for (i=100; i<=500; i++){
      float ksi=i*.01;
      double m1 = ksi*50;
      double m2 = ksi*150;
      double mE = ksi*100;
      double smexact = SMexact(m1, m2, mE, S2W, Z*Z);
      printf("ksi=%f \tSa=%f\tSe=%f\tUa=%f\tUe=%f\n", ksi,
	     SM(m1, m2, mE), smexact ,
	     UMapprox(m1,m2,mE), SpUMexact(m1,m2,mE,W*W,Z*Z)-smexact);
    }

    return 0;
}
